# 14. Sortable

![Sorter view](/files/f8DsaN8MlBxvYUCfRfPx)

Example adding

```
'sorter_field' => array(
	'type' => 'sorter',
	'label' => esc_html__( 'Hello there', 'my-domain' ),
	'options' => array(
		array(
			'id' => 'list_1',
			'name' => esc_html__( 'List 1', 'my-domain' ),
			'options' => array(
				array(
					'id' => 'key_2',
					'label' => esc_html__( 'Key 2', 'my-domain' ),
					'icon' => 'fa fa-clock',
					'class' => 'disable'
 				),
				array(
					'id' => 'key_9',
					'label' => esc_html__( 'Key 9', 'my-domain' )
				),
			)
		),
		array(
			'id' => 'list_2',
			'name' => esc_html__( 'List 2', 'my-domain' ),
			'options' => array(
				array(
					'id' => 'key_4',
					'label' => esc_html__( 'Key 4', 'my-domain' )
				),
				array(
					'id' => 'key_3',
					'label' => esc_html__( 'Key 3', 'my-domain' )
				),
				array(
					'id' => 'key_7',
					'label' => esc_html__( 'Key 7', 'my-domain' )
				),
				array(
					'id' => 'key_8',
					'label' => esc_html__( 'Key 8', 'my-domain' )
				),
			)
		),
		array(
			'id' => 'list_3',
			'name' => esc_html__( 'List 3', 'my-domain' ),
			'options' => array(
				array(
					'id' => 'key_5',
					'label' => esc_html__( 'Key 5', 'my-domain' )
				),
				array(
					'id' => 'key_6',
					'label' => esc_html__( 'Key 6', 'my-domain' )
				),
			)
		),
	)
),
```

![](/files/3aKpS6iCx4V1TROT7tci)

```
'sorter_field' => array(
	'type' => 'sorter',
	'label' => esc_html__( 'Hello there', 'my-domain' ),
	'options' => array(
		array(
			'id' => 'list_1',
			'name' => esc_html__( 'List 1', 'my-domain' ),
			'options' => array(
				array(
					'id' => 'key_2',
					'label' => esc_html__( 'Key 2', 'my-domain' ),
					'icon' => 'fa fa-clock',
					'class' => 'disable'
' 				),
				array(
					'id' => 'key_9',
					'label' => esc_html__( 'Key 9', 'my-domain' )
				),
			)
		)
	)
),
```

параметр class disable - отключает drag\&drop, sortable

icon - добавляет иконку

�


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/nuxy/fields/sortable.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
